#include <bits/stdc++.h>

using namespace std;

int main()
{
    int N, M;
    cin >> N >> M;
    int A[N];
    for(int i = 0; i < N; i++)
    {
        cin >> A[i];
    }
    int ukup = 0;
    int X, Y;
    for(int i = 0; i < M; i++)
    {
        cin >> X >> Y;
        X--;
        Y--;
        int a = A[X] + A[Y];
        int b = -A[X] - A[Y];
        ukup += max(a, b);
    }
    
    cout << ukup;
    
    return 0;
}